Search the Community
Showing results for tags 'grid lines columns'.
-
I am using AutoCAD Architecture (ACAD) 2011. I want to create a custom column grid whereby the vertical lines are longer in length than the horizontal lines. When I make changes to the right or left sides in the setup box the result effects both vertical and horizontal lines. I don't understand it. Also I want to offset a few of the bubbles because they are to close to each other. How do I do that?and can it be done after the grid is complete and in Model space? It sure would be nice if you could preview the custom grid on your work before clicking the dreaded ok button.
-
I made this simple routine that allows me to split rectangles in rows and columns. However, I intend that the first line, horizontal or vertical, according to the situation or option, is not drawn, or is deleted so as not to overlap the outer edge of the polygon. Who can help me? ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun colunas (/ pnt1 pnt2 pnt3 disth ncol) (setq pnt1 (getpoint "\nPonto 1 - 1º Ponto da distância vertical:")) (setq pnt2 (getpoint "\nPonto 2 - 2º Ponto da distância vertical:")) (setq pnt3 (getpoint "\nPonto 3 - Distância horizontal relativamente ao Ponto 2:")) (setq disth (distance pnt2 pnt3)) (setq ncol (getint "\nNº de Colunas")) (setq disth (/ disth ncol)) (repeat ncol (command "_.line" "_non" pnt1 "_non" pnt2 "_non" "") (setq pnt1 (list (+ (car pnt1)disth)(cadr pnt1)(caddr pnt1))) (setq pnt2 (list (+ (car pnt2)disth)(cadr pnt2)(caddr pnt2))) (princ) );repeat );defun:colunas ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun linhas (/ pnt1 pnt2 pnt3 distv nlin) (setq pnt1 (getpoint "\nPonto 1 - 1º Ponto da distância horizontal:")) (setq pnt2 (getpoint "\nPonto 2 - 2º Ponto da distância horizontal:")) (setq pnt3 (getpoint "\nPonto 3 - Distância vertical relativamente ao Ponto 2:")) (setq distv (distance pnt2 pnt3)) (setq nlin (getint "\nNº de Linhas")) (setq distv (/ distv nlin)) (repeat nlin (command "_.line" "_non" pnt1 "_non" pnt2 "_non" "") (setq pnt1 (list (car pnt1)(+ (cadr pnt1)distv)(caddr pnt1))) (setq pnt2 (list (car pnt2)(+ (cadr pnt2)distv)(caddr pnt2))) (princ) );repeat );defun:linhas ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun c:GRE (/ opt) (command "layer" "new" "Grelha" "color" "103" "Grelha" "") (command "layer" "set" "Grelha" "") (initget 1 "C L") (setq opt (getkword "\n(C)olunas ou (L)inhas? ")) (cond ((= opt "C") (colunas) ) ((= opt "L") (linhas)) ) ); defun c:GRE (prompt "\n Type GRE - Opções: C para colunas ou L para linhas: ")